﻿using System;
using System.Windows.Forms;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            CalendarColumn calendarColumn = new CalendarColumn();

            calendarColumn.Width = 120;

            this.dataGridView.Columns.Add(calendarColumn);

            this.dataGridView.RowCount = 5;

            foreach(DataGridViewRow row in this.dataGridView.Rows)
            {
                row.Cells[0].Value = DateTime.Now;
            }
        }

        #endregion
    }
}